Package com.independentsoft.office.odf.styles

# Class GraphicProperties

java.lang.Object
com.independentsoft.office.odf.styles.GraphicProperties

public class GraphicProperties extends Object
Represents formatting properties for graphic object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GraphicProperties()`
  Initializes a new instance of the GraphicProperties class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GraphicProperties`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getAdditionalStrokeDashStyles()`
  Gets the list of dash styles that are used for the stroke in addition to the dash.
  `int`
  `getAdjustBlue()`
  Gets the non destructive filter for a linear transformation of the white balance of a pixel image.
  `int`
  `getAdjustContrast()`
  Gets the signed percentage value that sets the output contrast of a bitmap or raster graphic.
  `int`
  `getAdjustGamma()`
  Gets the value that sets the output gamma of a bitmap or raster graphic.
  `int`
  `getAdjustGreen()`
  Gets the non destructive filter for a linear transformation of the white balance of a pixel image.
  `int`
  `getAdjustImageOpacity()`
  Gets the opacity of an image.
  `int`
  `getAdjustLuminance()`
  Gets the signed percentage value that sets the output luminance of a bitmap or raster graphic.
  `int`
  `getAdjustRed()`
  Gets the non destructive filter for a linear transformation of the white balance of a pixel image.
  `int`
  `getAnchorPageNumber()`
  Gets the physical page number of an anchor if the drawing object is bound to a page within a text document.
  `AnchorType`
  `getAnchorType()`
  Specifies how a frame is bound to a text document.
  `String`
  `getAnimationDelay()`
  Gets the delay before an animation is started.
  `AnimationDirection`
  `getAnimationDirection()`
  Gets the scroll direction of animated text.
  `int`
  `getAnimationRepeat()`
  Gets the number of times an animation is repeated.
  `String`
  `getAnimationSteps()`
  Gets the distance by which text is moved within a scrolling step.
  `AnimationType`
  `getAnimationType()`
  Gets the type of animation that is used for a text.
  `String`
  `getBackgroundColor()`
  Gets the background color for graphic.
  `BackgroundImage`
  `getBackgroundImage()`
  Gets the background image.
  `int`
  `getBackgroundTransparency()`
  Gets the transparency of a paragraph's background color.
  `Border`
  `getBorder()`
  Gets the border for graphic.
  `BorderLineWidth`
  `getBorderLineWidth()`
  Gets the widths of borders.
  `Border`
  `getBottomBorder()`
  Gets the bottom border for graphic.
  `BorderLineWidth`
  `getBottomBorderLineWidth()`
  Gets the bottom widths of borders.
  `Size`
  `getBottomMargin()`
  Gets the bottom margin.
  `Size`
  `getBottomPadding()`
  Gets the bottom padding.
  `int`
  `getCaptionAngle()`
  Gets the escape angle of the line of a caption.
  `CaptionAngleType`
  `getCaptionAngleType()`
  Specifies if the escape angle of the line of a caption is fixed or free.
  `String`
  `getCaptionEscape()`
  Gets the escape point of the caption line measured from the top left corner of the text area.
  `CaptionEscapeDirection`
  `getCaptionEscapeDirection()`
  Gets the escape direction for the line of a caption.
  `String`
  `getCaptionGap()`
  Gets the distance between the text area of the caption and the start of the line.
  `String`
  `getCaptionLineLength()`
  Gets the length of the first line of a caption.
  `CaptionType`
  `getCaptionType()`
  Gets the geometry of the line of a caption.
  `String`
  `getClipping()`
  Gets the clipping.
  `ColorMode`
  `getColorMode()`
  Gets the output of colors from a source bitmap or raster graphic.
  `int`
  `getDecimalPlaces()`
  Gets the number of decimal places that are used for the measure text.
  `String`
  `getEndGuide()`
  Gets the length that is added to the length of the end extension line.
  `String`
  `getEndLineSpacingHorizontal()`
  Specifies an increments the length of the escape line from the end shape.
  `String`
  `getEndLineSpacingVertical()`
  Specifies an increments the length of the escape line from the end shape.
  `String`
  `getFillColor()`
  Gets the color of the fill for a graphic object.
  `String`
  `getFillGradientOpacity()`
  Gets the opacity gradient that defines the opacity for the fill area of a graphic object.
  `String`
  `getFillGradientStyle()`
  Gets the secondary fill color.
  `String`
  `getFillHatchStyle()`
  Gets the gradient style that is used for filling graphic objects.
  `String`
  `getFillImage()`
  Gets the fill image that is used for filling.
  `String`
  `getFillImageHeight()`
  Gets the fill image height.
  `FillImageReferencePosition`
  `getFillImageReferencePosition()`
  Gets the alignment of an image in the filling area.
  `String`
  `getFillImageReferencePositionX()`
  Gets the horizontal movement of an image as a percentage value, where the percentage value is relative to the image width.
  `String`
  `getFillImageReferencePositionY()`
  Gets the horizontal movement of an image as a percentage value, where the percentage value is relative to the image width.
  `FillImageRenderingStyle`
  `getFillImageRenderingStyle()`
  Specifies if an image can be repeated or stretched over an area.
  `String`
  `getFillImageTileTranslation()`
  Specifies for images used for tiling the translation of each tile in relation to the previous tile.
  `String`
  `getFillImageWidth()`
  Gets the fill image width.
  `String`
  `getFillOpacity()`
  Gets the opacity for an image or graphic object.
  `FillRule`
  `getFillRule()`
  Gets the fill rule.
  `FillStyle`
  `getFillStyle()`
  Gets the fill style for a graphic object.
  `int`
  `getGradientStepCount()`
  Gets the gradient step count of a color interpolation to be a fixed value.
  `String`
  `getGuideDistance()`
  Gets the distance between the reference points and the start point of extension lines.
  `String`
  `getGuideOverhang()`
  Gets the length of extension lines after their intersection with a dimension line.
  `HorizontalPosition`
  `getHorizontalPosition()`
  Gets the horizontal alignment of a frame in relation to a specific area for documents.
  `HorizontalRelation`
  `getHorizontalRelation()`
  Gets the against which the horizontal position of a frame is positioned.
  `Border`
  `getLeftBorder()`
  Gets the left border for graphic.
  `BorderLineWidth`
  `getLeftBorderLineWidth()`
  Gets the left widths of borders.
  `Size`
  `getLeftMargin()`
  Gets the left margin.
  `Size`
  `getLeftPadding()`
  Gets the left padding.
  `String`
  `getLineDistance()`
  Gets the distance between a reference line (as defined by the reference points) and a dimension line.
  `Size`
  `getMargin()`
  Gets the margin.
  `Size`
  `getMaxHeight()`
  Gets the default maximum height for new frames that are created using a graphics style.
  `Size`
  `getMaxWidth()`
  Gets the default maximum width for new frames that are created using a graphics style.
  `MeasureHorizontalAlignment`
  `getMeasureHorizontalAlignment()`
  Gets the horizontal alignment of a measure text relative to its measure line.
  `MeasureUnit`
  `getMeasureUnit()`
  Gets the unit of measurement used in the textual presentation of a measure shape.
  `MeasureVerticalAlignment`
  `getMeasureVerticalAlignment()`
  Gets the vertical alignment of a measure text relative to its measure line.
  `Size`
  `getMinHeight()`
  Gets the default minimum height for new frames that are created using a graphics style.
  `Size`
  `getMinWidth()`
  Gets the default minimum width for new frames that are created using a graphics style.
  `String`
  `getMirror()`
  Specifies whether an image is mirrored before it is displayed.
  `int`
  `getOldDrawAspect()`
  Gets the display of embedded objects.
  `Size`
  `getPadding()`
  Gets the padding.
  `Placing`
  `getPlacing()`
  Specifies whether the measure line is rendered below or above the edge defined by the two reference points.
  `ProtectType`
  `getProtect()`
  Specifies whether the content, size, or position of a frame is protected.
  `Border`
  `getRightBorder()`
  Gets the right border for graphic.
  `BorderLineWidth`
  `getRightBorderLineWidth()`
  Gets the right widths of borders.
  `Size`
  `getRightMargin()`
  Gets the right margin.
  `Size`
  `getRightPadding()`
  Gets the right padding.
  `RunThrough`
  `getRunThrough()`
  Specifies whether content of a frame is displayed in the background or foreground.
  `String`
  `getSecondaryFillColor()`
  Gets the secondary fill color.
  `String`
  `getShadow()`
  Specifies if enables or disables a three-dimensional shadow for a three-dimensional object.
  `String`
  `getShadowColor()`
  Gets the color in which a shadow is rendered.
  `String`
  `getShadowOffsetX()`
  Used to render a shadow.
  `String`
  `getShadowOffsetY()`
  Used to render a shadow.
  `int`
  `getShadowOpacity()`
  Gets the opacity in which the shadow is rendered.
  `ShadowVisibility`
  `getShadowVisibility()`
  Specifies if enables or disables a three-dimensional shadow for a three-dimensional object.
  `String`
  `getStartGuide()`
  Gets the length that is added to the length of a start extension line.
  `String`
  `getStartLineSpacingHorizontal()`
  Gets the length of the escape line from the start shape for standard connectors.
  `String`
  `getStartLineSpacingVertical()`
  Gets the length of the escape line from the start shape for standard connectors.
  `String`
  `getStrokeColor()`
  Gets the color of a stroke.
  `String`
  `getStrokeDash()`
  Gets the dash style that is used for a stroke.
  `String`
  `getStrokeEndMarker()`
  Gets the width of the marker at the end of a stroke.
  `Size`
  `getStrokeEndMarkerWidth()`
  Gets the width of the marker at the end of a stroke.
  `StrokeLineJoin`
  `getStrokeLineJoin()`
  Gets the shape at the corners of paths or other vector shapes when they are stroked.
  `String`
  `getStrokeOpacity()`
  Gets the opacity of a stroke.
  `String`
  `getStrokeStartMarker()`
  Gets the width of the marker at the start of a stroke.
  `Size`
  `getStrokeStartMarkerWidth()`
  Gets the width of the marker at the start of a stroke.
  `StrokeStyle`
  `getStrokeStyle()`
  Gets the style of the stroke on the current object.
  `Size`
  `getStrokeWidth()`
  Gets the width of a stroke.
  `String`
  `getSymbolColor()`
  Gets the color to be used to draw symbols contained on the drawing object.
  `TextAreaHorizontalAlignment`
  `getTextAreaHorizontalAlignment()`
  Gets the horizontal alignment of the text area inside a shape.
  `TextAreaVerticalAlignment`
  `getTextAreaVerticalAlignment()`
  Gets the vertical alignment of the text area inside a shape.
  `Border`
  `getTopBorder()`
  Gets the top border for graphic.
  `BorderLineWidth`
  `getTopBorderLineWidth()`
  Gets the top widths of borders.
  `Size`
  `getTopMargin()`
  Gets the top margin.
  `Size`
  `getTopPadding()`
  Gets the top padding.
  `VerticalPosition`
  `getVerticalPosition()`
  Gets the vertical alignment of a frame relative to a specific area.
  `VerticalRelation`
  `getVerticalRelation()`
  Gets the area against which the vertical position of a frame is positioned.
  `Size`
  `getVisibleAreaHeight()`
  Specifies whether these attributes are used to specify the visible area, or whether the producer of the object stores the visible area within the object itself.
  `Size`
  `getVisibleAreaLeft()`
  Specifies whether these attributes are used to specify the visible area, or whether the producer of the object stores the visible area within the object itself.
  `Size`
  `getVisibleAreaTop()`
  Specifies whether these attributes are used to specify the visible area, or whether the producer of the object stores the visible area within the object itself.
  `Size`
  `getVisibleAreaWidth()`
  Specifies whether these attributes are used to specify the visible area, or whether the producer of the object stores the visible area within the object itself.
  `WordWrapType`
  `getWordWrapType()`
  Specifies whether the clipped text is visible or hidden.
  `WrapType`
  `getWrap()`
  Specifies how text is displayed around a frame or graphic object.
  `WrapInfluence`
  `getWrapInfluenceOnPosition()`
  Specifies how the wrapping mode influences the positioning of a frame.
  `String`
  `getWrappedParagraphCount()`
  Gets the number of paragraphs that can wrap around a frame if the anchor position of a frame or drawing shape is a paragraph or a character, and the wrap mode specified by the wrap is left, right, parallel, or dynamic.
  `WritingMode`
  `getWritingMode()`
  Gets the writing mode.
  `String`
  `getX()`
  Gets the default horizontal position for new frames that are created using the graphics style.
  `String`
  `getY()`
  Gets the default vertical position for new frames that are created using the graphics style.
  `boolean`
  `isAutoGrowHeight()`
  Specifies whether to automatically increase the height of the drawing object if text is added to the drawing object.
  `boolean`
  `isAutoGrowWidth()`
  Specifies whether to automatically increase the width of the drawing object if text is added to the drawing object.
  `boolean`
  `isCaptionFitLineLength()`
  Gets the consumer to determine the best possible length for a caption line.
  `boolean`
  `isEnableColorInversion()`
  Specifies whether the colors in the graphic shape should be inverted.
  `boolean`
  `isFitToContour()`
  Specifies whether to stretch the text content of a drawing object to fill the contour of an object.
  `boolean`
  `isFitToSize()`
  Specifies whether to stretch the text content of a drawing object to fill an entire object.
  `boolean`
  `isFlowWithText()`
  Specifies whether a drawing shape flows with the text of its layout environment or not.
  `boolean`
  `isParallel()`
  Specifies whether a measure text is displayed parallel to its measure line or perpendicular to it.
  `boolean`
  `isPrintContent()`
  Specifies if content is printed.
  `boolean`
  `isShowMeasureUnit()`
  Gets the visibility of a unit in the textual presentation of a measure shape.
  `boolean`
  `isSolidFillHatch()`
  Specifies whether the background of a hatch filling is solid or transparent.
  `boolean`
  `isStartAnimationInside()`
  Specifies if a text animation starts inside or outside a shape.
  `boolean`
  `isStopAnimationInside()`
  Specifies if a text animation stops inside or outside a shape.
  `boolean`
  `isStrokeEndMarkerCenter()`
  Specifies whether an end marker is centered at the end of a stroke.
  `boolean`
  `isStrokeStartMarkerCenter()`
  Specifies whether a start marker is centered at the start of a stroke.
  `void`
  `setAdditionalStrokeDashStyles​(String additionalStrokeDashStyles)`
  Sets the list of dash styles that are used for the stroke in addition to the dash.
  `void`
  `setAdjustBlue​(int adjustBlue)`
  Sets the non destructive filter for a linear transformation of the white balance of a pixel image.
  `void`
  `setAdjustContrast​(int adjustContrast)`
  Sets the signed percentage value that sets the output contrast of a bitmap or raster graphic.
  `void`
  `setAdjustGamma​(int adjustGamma)`
  Sets the value that sets the output gamma of a bitmap or raster graphic.
  `void`
  `setAdjustGreen​(int adjustGreen)`
  Sets the non destructive filter for a linear transformation of the white balance of a pixel image.
  `void`
  `setAdjustImageOpacity​(int adjustImageOpacity)`
  Sets the opacity of an image.
  `void`
  `setAdjustLuminance​(int adjustLuminance)`
  Sets the signed percentage value that sets the output luminance of a bitmap or raster graphic.
  `void`
  `setAdjustRed​(int adjustRed)`
  Sets the non destructive filter for a linear transformation of the white balance of a pixel image.
  `void`
  `setAnchorPageNumber​(int anchorPageNumber)`
  Sets the physical page number of an anchor if the drawing object is bound to a page within a text document.
  `void`
  `setAnchorType​(AnchorType anchorType)`
  Specifies how a frame is bound to a text document.
  `void`
  `setAnimationDelay​(String animationDelay)`
  Sets the delay before an animation is started.
  `void`
  `setAnimationDirection​(AnimationDirection animationDirection)`
  Sets the scroll direction of animated text.
  `void`
  `setAnimationRepeat​(int animationRepeat)`
  Sets the number of times an animation is repeated.
  `void`
  `setAnimationSteps​(String animationSteps)`
  Sets the distance by which text is moved within a scrolling step.
  `void`
  `setAnimationType​(AnimationType animationType)`
  Sets the type of animation that is used for a text.
  `void`
  `setAutoGrowHeight​(boolean autoGrowHeight)`
  Specifies whether to automatically increase the height of the drawing object if text is added to the drawing object.
  `void`
  `setAutoGrowWidth​(boolean autoGrowWidth)`
  Specifies whether to automatically increase the width of the drawing object if text is added to the drawing object.
  `void`
  `setBackgroundColor​(String backgroundColor)`
  Sets the background color for graphic.
  `void`
  `setBackgroundImage​(BackgroundImage backgroundImage)`
  Sets the background image.
  `void`
  `setBackgroundTransparency​(int backgroundTransparency)`
  Sets the transparency of a paragraph's background color.
  `void`
  `setBorder​(Border border)`
  Sets the border for graphic.
  `void`
  `setBorderLineWidth​(BorderLineWidth borderLineWidth)`
  Sets the widths of borders.
  `void`
  `setBottomBorder​(Border bottomBorder)`
  Sets the bottom border for graphic.
  `void`
  `setBottomBorderLineWidth​(BorderLineWidth bottomBorderLineWidth)`
  Sets the bottom widths of borders.
  `void`
  `setBottomMargin​(Size bottomMargin)`
  Sets the bottom margin.
  `void`
  `setBottomPadding​(Size bottomPadding)`
  Sets the bottom padding.
  `void`
  `setCaptionAngle​(int captionAngle)`
  Sets the escape angle of the line of a caption.
  `void`
  `setCaptionAngleType​(CaptionAngleType captionAngleType)`
  Specifies if the escape angle of the line of a caption is fixed or free.
  `void`
  `setCaptionEscape​(String captionEscape)`
  Sets the escape point of the caption line measured from the top left corner of the text area.
  `void`
  `setCaptionEscapeDirection​(CaptionEscapeDirection captionEscapeDirection)`
  Sets the escape direction for the line of a caption.
  `void`
  `setCaptionFitLineLength​(boolean captionFitLineLength)`
  Sets the consumer to determine the best possible length for a caption line.
  `void`
  `setCaptionGap​(String captionGap)`
  Sets the distance between the text area of the caption and the start of the line.
  `void`
  `setCaptionLineLength​(String captionLineLength)`
  Sets the length of the first line of a caption.
  `void`
  `setCaptionType​(CaptionType captionType)`
  Sets the geometry of the line of a caption.
  `void`
  `setClipping​(String clipping)`
  Sets the clipping.
  `void`
  `setColorMode​(ColorMode colorMode)`
  Sets the output of colors from a source bitmap or raster graphic.
  `void`
  `setDecimalPlaces​(int decimalPlaces)`
  Sets the number of decimal places that are used for the measure text.
  `void`
  `setEnableColorInversion​(boolean enableColorInversion)`
  Specifies whether the colors in the graphic shape should be inverted.
  `void`
  `setEndGuide​(String endGuide)`
  Sets the length that is added to the length of the end extension line.
  `void`
  `setEndLineSpacingHorizontal​(String endLineSpacingHorizontal)`
  Specifies an increments the length of the escape line from the end shape.
  `void`
  `setEndLineSpacingVertical​(String endLineSpacingVertical)`
  Specifies an increments the length of the escape line from the end shape.
  `void`
  `setFillColor​(String fillColor)`
  Sets the color of the fill for a graphic object.
  `void`
  `setFillGradientOpacity​(String fillGradientOpacity)`
  Sets the opacity gradient that defines the opacity for the fill area of a graphic object.
  `void`
  `setFillGradientStyle​(String fillGradientStyle)`
  Sets the secondary fill color.
  `void`
  `setFillHatchStyle​(String fillHatchStyle)`
  Sets the gradient style that is used for filling graphic objects.
  `void`
  `setFillImage​(String fillImage)`
  Sets the fill image that is used for filling.
  `void`
  `setFillImageHeight​(String fillImageHeight)`
  Sets the fill image height.
  `void`
  `setFillImageReferencePosition​(FillImageReferencePosition fillImageReferencePosition)`
  Sets the alignment of an image in the filling area.
  `void`
  `setFillImageReferencePositionX​(String fillImageReferencePositionX)`
  Sets the horizontal movement of an image as a percentage value, where the percentage value is relative to the image width.
  `void`
  `setFillImageReferencePositionY​(String fillImageReferencePositionY)`
  Sets the horizontal movement of an image as a percentage value, where the percentage value is relative to the image width.
  `void`
  `setFillImageRenderingStyle​(FillImageRenderingStyle fillImageRenderingStyle)`
  Specifies if an image can be repeated or stretched over an area.
  `void`
  `setFillImageTileTranslation​(String fillImageTileTranslation)`
  Specifies for images used for tiling the translation of each tile in relation to the previous tile.
  `void`
  `setFillImageWidth​(String fillImageWidth)`
  Sets the fill image width.
  `void`
  `setFillOpacity​(String fillOpacity)`
  Sets the opacity for an image or graphic object.
  `void`
  `setFillRule​(FillRule fillRule)`
  Sets the fill rule.
  `void`
  `setFillStyle​(FillStyle fillStyle)`
  Sets the fill style for a graphic object.
  `void`
  `setFitToContour​(boolean fitToContour)`
  Specifies whether to stretch the text content of a drawing object to fill the contour of an object.
  `void`
  `setFitToSize​(boolean fitToSize)`
  Specifies whether to stretch the text content of a drawing object to fill an entire object.
  `void`
  `setFlowWithText​(boolean flowWithText)`
  Specifies whether a drawing shape flows with the text of its layout environment or not.
  `void`
  `setGradientStepCount​(int gradientStepCount)`
  Sets the gradient step count of a color interpolation to be a fixed value.
  `void`
  `setGuideDistance​(String guideDistance)`
  Sets the distance between the reference points and the start point of extension lines.
  `void`
  `setGuideOverhang​(String guideOverhang)`
  Sets the length of extension lines after their intersection with a dimension line.
  `void`
  `setHorizontalPosition​(HorizontalPosition horizontalPosition)`
  Sets the horizontal alignment of a frame in relation to a specific area for documents.
  `void`
  `setHorizontalRelation​(HorizontalRelation horizontalRelation)`
  Sets the against which the horizontal position of a frame is positioned.
  `void`
  `setLeftBorder​(Border leftBorder)`
  Sets the left border for graphic.
  `void`
  `setLeftBorderLineWidth​(BorderLineWidth leftBorderLineWidth)`
  Sets the left widths of borders.
  `void`
  `setLeftMargin​(Size leftMargin)`
  Sets the left margin.
  `void`
  `setLeftPadding​(Size leftPadding)`
  Sets the left padding.
  `void`
  `setLineDistance​(String lineDistance)`
  Sets the distance between a reference line (as defined by the reference points) and a dimension line.
  `void`
  `setMargin​(Size margin)`
  Sets the margin.
  `void`
  `setMaxHeight​(Size maxHeight)`
  Sets the default maximum height for new frames that are created using a graphics style.
  `void`
  `setMaxWidth​(Size maxWidth)`
  Sets the default maximum width for new frames that are created using a graphics style.
  `void`
  `setMeasureHorizontalAlignment​(MeasureHorizontalAlignment measureHorizontalAlignment)`
  Sets the horizontal alignment of a measure text relative to its measure line.
  `void`
  `setMeasureUnit​(MeasureUnit measureUnit)`
  Sets the unit of measurement used in the textual presentation of a measure shape.
  `void`
  `setMeasureVerticalAlignment​(MeasureVerticalAlignment measureVerticalAlignment)`
  Sets the vertical alignment of a measure text relative to its measure line.
  `void`
  `setMinHeight​(Size minHeight)`
  Sets the default minimum height for new frames that are created using a graphics style.
  `void`
  `setMinWidth​(Size minWidth)`
  Sets the default minimum width for new frames that are created using a graphics style.
  `void`
  `setMirror​(String mirror)`
  Specifies whether an image is mirrored before it is displayed.
  `void`
  `setOldDrawAspect​(int oldDrawAspect)`
  Sets the display of embedded objects.
  `void`
  `setPadding​(Size padding)`
  Sets the padding.
  `void`
  `setParallel​(boolean isParallel)`
  Specifies whether a measure text is displayed parallel to its measure line or perpendicular to it.
  `void`
  `setPlacing​(Placing placing)`
  Specifies whether the measure line is rendered below or above the edge defined by the two reference points.
  `void`
  `setPrintContent​(boolean printContent)`
  Specifies if content is printed.
  `void`
  `setProtect​(ProtectType protect)`
  Specifies whether the content, size, or position of a frame is protected.
  `void`
  `setRightBorder​(Border rightBorder)`
  Sets the right border for graphic.
  `void`
  `setRightBorderLineWidth​(BorderLineWidth rightBorderLineWidth)`
  Sets the right widths of borders.
  `void`
  `setRightMargin​(Size rightMargin)`
  Sets the right margin.
  `void`
  `setRightPadding​(Size rightPadding)`
  Sets the right padding.
  `void`
  `setRunThrough​(RunThrough runThrough)`
  Specifies whether content of a frame is displayed in the background or foreground.
  `void`
  `setSecondaryFillColor​(String secondaryFillColor)`
  Sets the secondary fill color.
  `void`
  `setShadow​(String shadow)`
  Specifies if enables or disables a three-dimensional shadow for a three-dimensional object.
  `void`
  `setShadowColor​(String shadowColor)`
  Sets the color in which a shadow is rendered.
  `void`
  `setShadowOffsetX​(String shadowOffsetX)`
  Used to render a shadow.
  `void`
  `setShadowOffsetY​(String shadowOffsetY)`
  Used to render a shadow.
  `void`
  `setShadowOpacity​(int shadowOpacity)`
  Sets the opacity in which the shadow is rendered.
  `void`
  `setShadowVisibility​(ShadowVisibility shadowVisibility)`
  Specifies if enables or disables a three-dimensional shadow for a three-dimensional object.
  `void`
  `setShowMeasureUnit​(boolean showMeasureUnit)`
  Sets the visibility of a unit in the textual presentation of a measure shape.
  `void`
  `setSolidFillHatch​(boolean isSolidFillHatch)`
  Specifies whether the background of a hatch filling is solid or transparent.
  `void`
  `setStartAnimationInside​(boolean startAnimationInside)`
  Specifies if a text animation starts inside or outside a shape.
  `void`
  `setStartGuide​(String startGuide)`
  Sets the length that is added to the length of a start extension line.
  `void`
  `setStartLineSpacingHorizontal​(String startLineSpacingHorizontal)`
  Sets the length of the escape line from the start shape for standard connectors.
  `void`
  `setStartLineSpacingVertical​(String startLineSpacingVertical)`
  Sets the length of the escape line from the start shape for standard connectors.
  `void`
  `setStopAnimationInside​(boolean stopAnimationInside)`
  Specifies if a text animation stops inside or outside a shape.
  `void`
  `setStrokeColor​(String strokeColor)`
  Sets the color of a stroke.
  `void`
  `setStrokeDash​(String strokeDash)`
  Sets the dash style that is used for a stroke.
  `void`
  `setStrokeEndMarker​(String strokeEndMarker)`
  Sets the width of the marker at the end of a stroke.
  `void`
  `setStrokeEndMarkerCenter​(boolean strokeEndMarkerCenter)`
  Specifies whether an end marker is centered at the end of a stroke.
  `void`
  `setStrokeEndMarkerWidth​(Size strokeEndMarkerWidth)`
  Sets the width of the marker at the end of a stroke.
  `void`
  `setStrokeLineJoin​(StrokeLineJoin strokeLineJoin)`
  Sets the shape at the corners of paths or other vector shapes when they are stroked.
  `void`
  `setStrokeOpacity​(String strokeOpacity)`
  Sets the opacity of a stroke.
  `void`
  `setStrokeStartMarker​(String strokeStartMarker)`
  Sets the width of the marker at the start of a stroke.
  `void`
  `setStrokeStartMarkerCenter​(boolean strokeStartMarkerCenter)`
  Specifies whether a start marker is centered at the start of a stroke.
  `void`
  `setStrokeStartMarkerWidth​(Size strokeStartMarkerWidth)`
  Sets the width of the marker at the start of a stroke.
  `void`
  `setStrokeStyle​(StrokeStyle strokeStyle)`
  Sets the style of the stroke on the current object.
  `void`
  `setStrokeWidth​(Size strokeWidth)`
  Sets the width of a stroke.
  `void`
  `setSymbolColor​(String symbolColor)`
  Sets the color to be used to draw symbols contained on the drawing object.
  `void`
  `setTextAreaHorizontalAlignment​(TextAreaHorizontalAlignment textAreaHorizontalAlignment)`
  Sets the horizontal alignment of the text area inside a shape.
  `void`
  `setTextAreaVerticalAlignment​(TextAreaVerticalAlignment textAreaVerticalAlignment)`
  Sets the vertical alignment of the text area inside a shape.
  `void`
  `setTopBorder​(Border topBorder)`
  Sets the top border for graphic.
  `void`
  `setTopBorderLineWidth​(BorderLineWidth topBorderLineWidth)`
  Sets the top widths of borders.
  `void`
  `setTopMargin​(Size topMargin)`
  Sets the top margin.
  `void`
  `setTopPadding​(Size topPadding)`
  Sets the top padding.
  `void`
  `setVerticalPosition​(VerticalPosition verticalPosition)`
  Sets the vertical alignment of a frame relative to a specific area.
  `void`
  `setVerticalRelation​(VerticalRelation verticalRelation)`
  Sets the area against which the vertical position of a frame is positioned.
  `void`
  `setVisibleAreaHeight​(Size visibleAreaHeight)`
  Specifies whether these attributes are used to specify the visible area, or whether the producer of the object stores the visible area within the object itself.
  `void`
  `setVisibleAreaLeft​(Size visibleAreaLeft)`
  Specifies whether these attributes are used to specify the visible area, or whether the producer of the object stores the visible area within the object itself.
  `void`
  `setVisibleAreaTop​(Size visibleAreaTop)`
  Specifies whether these attributes are used to specify the visible area, or whether the producer of the object stores the visible area within the object itself.
  `void`
  `setVisibleAreaWidth​(Size visibleAreaWidth)`
  Specifies whether these attributes are used to specify the visible area, or whether the producer of the object stores the visible area within the object itself.
  `void`
  `setWordWrapType​(WordWrapType wordWrapType)`
  Specifies whether the clipped text is visible or hidden.
  `void`
  `setWrap​(WrapType wrap)`
  Specifies how text is displayed around a frame or graphic object.
  `void`
  `setWrapInfluenceOnPosition​(WrapInfluence wrapInfluenceOnPosition)`
  Specifies how the wrapping mode influences the positioning of a frame.
  `void`
  `setWrappedParagraphCount​(String wrappedParagraphCount)`
  Sets the number of paragraphs that can wrap around a frame if the anchor position of a frame or drawing shape is a paragraph or a character, and the wrap mode specified by the wrap is left, right, parallel, or dynamic.
  `void`
  `setWritingMode​(WritingMode writingMode)`
  Sets the writing mode.
  `void`
  `setX​(String x)`
  Sets the default horizontal position for new frames that are created using the graphics style.
  `void`
  `setY​(String y)`
  Sets the default vertical position for new frames that are created using the graphics style.
  `String`
  `toString()`
  Converts the value of the current GraphicProperties object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GraphicProperties

    public GraphicProperties()
    Initializes a new instance of the GraphicProperties class.

- ## Method Details

  - ### clone

    public GraphicProperties clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current GraphicProperties object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getX

    public String getX()
    Gets the default horizontal position for new frames that are created using the graphics style.
    Returns:
      the x

  - ### setX

    public void setX​(String x)
    Sets the default horizontal position for new frames that are created using the graphics style.
    Parameters:
      `x` - the new x

  - ### getY

    public String getY()
    Gets the default vertical position for new frames that are created using the graphics style.
    Returns:
      the y

  - ### setY

    public void setY​(String y)
    Sets the default vertical position for new frames that are created using the graphics style.
    Parameters:
      `y` - the new y

  - ### getMinHeight

    public Size getMinHeight()
    Gets the default minimum height for new frames that are created using a graphics style.
    Returns:
      the min height

  - ### setMinHeight

    public void setMinHeight​(Size minHeight)
    Sets the default minimum height for new frames that are created using a graphics style.
    Parameters:
      `minHeight` - the new min height

  - ### getMinWidth

    public Size getMinWidth()
    Gets the default minimum width for new frames that are created using a graphics style.
    Returns:
      the min width

  - ### setMinWidth

    public void setMinWidth​(Size minWidth)
    Sets the default minimum width for new frames that are created using a graphics style.
    Parameters:
      `minWidth` - the new min width

  - ### getMaxHeight

    public Size getMaxHeight()
    Gets the default maximum height for new frames that are created using a graphics style.
    Returns:
      the max height

  - ### setMaxHeight

    public void setMaxHeight​(Size maxHeight)
    Sets the default maximum height for new frames that are created using a graphics style.
    Parameters:
      `maxHeight` - the new max height

  - ### getMaxWidth

    public Size getMaxWidth()
    Gets the default maximum width for new frames that are created using a graphics style.
    Returns:
      the max width

  - ### setMaxWidth

    public void setMaxWidth​(Size maxWidth)
    Sets the default maximum width for new frames that are created using a graphics style.
    Parameters:
      `maxWidth` - the new max width

  - ### getMargin

    public Size getMargin()
    Gets the margin.
    Returns:
      the margin

  - ### setMargin

    public void setMargin​(Size margin)
    Sets the margin.
    Parameters:
      `margin` - the new margin

  - ### getLeftMargin

    public Size getLeftMargin()
    Gets the left margin.
    Returns:
      the left margin

  - ### setLeftMargin

    public void setLeftMargin​(Size leftMargin)
    Sets the left margin.
    Parameters:
      `leftMargin` - the new left margin

  - ### getRightMargin

    public Size getRightMargin()
    Gets the right margin.
    Returns:
      the right margin

  - ### setRightMargin

    public void setRightMargin​(Size rightMargin)
    Sets the right margin.
    Parameters:
      `rightMargin` - the new right margin

  - ### getTopMargin

    public Size getTopMargin()
    Gets the top margin.
    Returns:
      the top margin

  - ### setTopMargin

    public void setTopMargin​(Size topMargin)
    Sets the top margin.
    Parameters:
      `topMargin` - the new top margin

  - ### getBottomMargin

    public Size getBottomMargin()
    Gets the bottom margin.
    Returns:
      the bottom margin

  - ### setBottomMargin

    public void setBottomMargin​(Size bottomMargin)
    Sets the bottom margin.
    Parameters:
      `bottomMargin` - the new bottom margin

  - ### getBackgroundColor

    public String getBackgroundColor()
    Gets the background color for graphic.
    Returns:
      the background color

  - ### setBackgroundColor

    public void setBackgroundColor​(String backgroundColor)
    Sets the background color for graphic.
    Parameters:
      `backgroundColor` - the new background color

  - ### getBorder

    public Border getBorder()
    Gets the border for graphic.
    Returns:
      the border

  - ### setBorder

    public void setBorder​(Border border)
    Sets the border for graphic.
    Parameters:
      `border` - the new border

  - ### getLeftBorder

    public Border getLeftBorder()
    Gets the left border for graphic.
    Returns:
      the left border

  - ### setLeftBorder

    public void setLeftBorder​(Border leftBorder)
    Sets the left border for graphic.
    Parameters:
      `leftBorder` - the new left border

  - ### getRightBorder

    public Border getRightBorder()
    Gets the right border for graphic.
    Returns:
      the right border

  - ### setRightBorder

    public void setRightBorder​(Border rightBorder)
    Sets the right border for graphic.
    Parameters:
      `rightBorder` - the new right border

  - ### getTopBorder

    public Border getTopBorder()
    Gets the top border for graphic.
    Returns:
      the top border

  - ### setTopBorder

    public void setTopBorder​(Border topBorder)
    Sets the top border for graphic.
    Parameters:
      `topBorder` - the new top border

  - ### getBottomBorder

    public Border getBottomBorder()
    Gets the bottom border for graphic.
    Returns:
      the bottom border

  - ### setBottomBorder

    public void setBottomBorder​(Border bottomBorder)
    Sets the bottom border for graphic.
    Parameters:
      `bottomBorder` - the new bottom border

  - ### getBorderLineWidth

    public BorderLineWidth getBorderLineWidth()
    Gets the widths of borders.
    Returns:
      the border line width

  - ### setBorderLineWidth

    public void setBorderLineWidth​(BorderLineWidth borderLineWidth)
    Sets the widths of borders.
    Parameters:
      `borderLineWidth` - the new border line width

  - ### getLeftBorderLineWidth

    public BorderLineWidth getLeftBorderLineWidth()
    Gets the left widths of borders.
    Returns:
      the left border line width

  - ### setLeftBorderLineWidth

    public void setLeftBorderLineWidth​(BorderLineWidth leftBorderLineWidth)
    Sets the left widths of borders.
    Parameters:
      `leftBorderLineWidth` - the new left border line width

  - ### getRightBorderLineWidth

    public BorderLineWidth getRightBorderLineWidth()
    Gets the right widths of borders.
    Returns:
      the right border line width

  - ### setRightBorderLineWidth

    public void setRightBorderLineWidth​(BorderLineWidth rightBorderLineWidth)
    Sets the right widths of borders.
    Parameters:
      `rightBorderLineWidth` - the new right border line width

  - ### getTopBorderLineWidth

    public BorderLineWidth getTopBorderLineWidth()
    Gets the top widths of borders.
    Returns:
      the top border line width

  - ### setTopBorderLineWidth

    public void setTopBorderLineWidth​(BorderLineWidth topBorderLineWidth)
    Sets the top widths of borders.
    Parameters:
      `topBorderLineWidth` - the new top border line width

  - ### getBottomBorderLineWidth

    public BorderLineWidth getBottomBorderLineWidth()
    Gets the bottom widths of borders.
    Returns:
      the bottom border line width

  - ### setBottomBorderLineWidth

    public void setBottomBorderLineWidth​(BorderLineWidth bottomBorderLineWidth)
    Sets the bottom widths of borders.
    Parameters:
      `bottomBorderLineWidth` - the new bottom border line width

  - ### getPadding

    public Size getPadding()
    Gets the padding.
    Returns:
      the padding

  - ### setPadding

    public void setPadding​(Size padding)
    Sets the padding.
    Parameters:
      `padding` - the new padding

  - ### getLeftPadding

    public Size getLeftPadding()
    Gets the left padding.
    Returns:
      the left padding

  - ### setLeftPadding

    public void setLeftPadding​(Size leftPadding)
    Sets the left padding.
    Parameters:
      `leftPadding` - the new left padding

  - ### getRightPadding

    public Size getRightPadding()
    Gets the right padding.
    Returns:
      the right padding

  - ### setRightPadding

    public void setRightPadding​(Size rightPadding)
    Sets the right padding.
    Parameters:
      `rightPadding` - the new right padding

  - ### getTopPadding

    public Size getTopPadding()
    Gets the top padding.
    Returns:
      the top padding

  - ### setTopPadding

    public void setTopPadding​(Size topPadding)
    Sets the top padding.
    Parameters:
      `topPadding` - the new top padding

  - ### getBottomPadding

    public Size getBottomPadding()
    Gets the bottom padding.
    Returns:
      the bottom padding

  - ### setBottomPadding

    public void setBottomPadding​(Size bottomPadding)
    Sets the bottom padding.
    Parameters:
      `bottomPadding` - the new bottom padding

  - ### getShadow

    public String getShadow()
    Specifies if enables or disables a three-dimensional shadow for a three-dimensional object.
    Returns:
      the shadow

  - ### setShadow

    public void setShadow​(String shadow)
    Specifies if enables or disables a three-dimensional shadow for a three-dimensional object.
    Parameters:
      `shadow` - the new shadow

  - ### isPrintContent

    public boolean isPrintContent()
    Specifies if content is printed.
    Returns:
      true, if is prints the content

  - ### setPrintContent

    public void setPrintContent​(boolean printContent)
    Specifies if content is printed.
    Parameters:
      `printContent` - the new prints the content

  - ### getHorizontalPosition

    public HorizontalPosition getHorizontalPosition()
    Gets the horizontal alignment of a frame in relation to a specific area for documents.
    Returns:
      the horizontal position

  - ### setHorizontalPosition

    public void setHorizontalPosition​(HorizontalPosition horizontalPosition)
    Sets the horizontal alignment of a frame in relation to a specific area for documents.
    Parameters:
      `horizontalPosition` - the new horizontal position

  - ### getHorizontalRelation

    public HorizontalRelation getHorizontalRelation()
    Gets the against which the horizontal position of a frame is positioned.
    Returns:
      the horizontal relation

  - ### setHorizontalRelation

    public void setHorizontalRelation​(HorizontalRelation horizontalRelation)
    Sets the against which the horizontal position of a frame is positioned.
    Parameters:
      `horizontalRelation` - the new horizontal relation

  - ### getVerticalPosition

    public VerticalPosition getVerticalPosition()
    Gets the vertical alignment of a frame relative to a specific area.
    Returns:
      the vertical position

  - ### setVerticalPosition

    public void setVerticalPosition​(VerticalPosition verticalPosition)
    Sets the vertical alignment of a frame relative to a specific area.
    Parameters:
      `verticalPosition` - the new vertical position

  - ### getVerticalRelation

    public VerticalRelation getVerticalRelation()
    Gets the area against which the vertical position of a frame is positioned.
    Returns:
      the vertical relation

  - ### setVerticalRelation

    public void setVerticalRelation​(VerticalRelation verticalRelation)
    Sets the area against which the vertical position of a frame is positioned.
    Parameters:
      `verticalRelation` - the new vertical relation

  - ### getAnchorType

    public AnchorType getAnchorType()
    Specifies how a frame is bound to a text document. The anchor position is the point at which a frame is bound to a text document.
    Returns:
      the anchor type

  - ### setAnchorType

    public void setAnchorType​(AnchorType anchorType)
    Specifies how a frame is bound to a text document. The anchor position is the point at which a frame is bound to a text document.
    Parameters:
      `anchorType` - the new anchor type

  - ### getAnchorPageNumber

    public int getAnchorPageNumber()
    Gets the physical page number of an anchor if the drawing object is bound to a page within a text document.
    Returns:
      the anchor page number

  - ### setAnchorPageNumber

    public void setAnchorPageNumber​(int anchorPageNumber)
    Sets the physical page number of an anchor if the drawing object is bound to a page within a text document.
    Parameters:
      `anchorPageNumber` - the new anchor page number

  - ### isFlowWithText

    public boolean isFlowWithText()
    Specifies whether a drawing shape flows with the text of its layout environment or not.
    Returns:
      true, if is flow with text

  - ### setFlowWithText

    public void setFlowWithText​(boolean flowWithText)
    Specifies whether a drawing shape flows with the text of its layout environment or not.
    Parameters:
      `flowWithText` - the new flow with text

  - ### getWrap

    public WrapType getWrap()
    Specifies how text is displayed around a frame or graphic object.
    Returns:
      the wrap

  - ### setWrap

    public void setWrap​(WrapType wrap)
    Specifies how text is displayed around a frame or graphic object.
    Parameters:
      `wrap` - the new wrap

  - ### getStrokeStyle

    public StrokeStyle getStrokeStyle()
    Gets the style of the stroke on the current object.
    Returns:
      the stroke style

  - ### setStrokeStyle

    public void setStrokeStyle​(StrokeStyle strokeStyle)
    Sets the style of the stroke on the current object.
    Parameters:
      `strokeStyle` - the new stroke style

  - ### getStrokeDash

    public String getStrokeDash()
    Gets the dash style that is used for a stroke.
    Returns:
      the stroke dash

  - ### setStrokeDash

    public void setStrokeDash​(String strokeDash)
    Sets the dash style that is used for a stroke.
    Parameters:
      `strokeDash` - the new stroke dash

  - ### getAdditionalStrokeDashStyles

    public String getAdditionalStrokeDashStyles()
    Gets the list of dash styles that are used for the stroke in addition to the dash.
    Returns:
      the additional stroke dash styles

  - ### setAdditionalStrokeDashStyles

    public void setAdditionalStrokeDashStyles​(String additionalStrokeDashStyles)
    Sets the list of dash styles that are used for the stroke in addition to the dash.
    Parameters:
      `additionalStrokeDashStyles` - the new additional stroke dash styles

  - ### getStrokeWidth

    public Size getStrokeWidth()
    Gets the width of a stroke.
    Returns:
      the stroke width

  - ### setStrokeWidth

    public void setStrokeWidth​(Size strokeWidth)
    Sets the width of a stroke.
    Parameters:
      `strokeWidth` - the new stroke width

  - ### getStrokeColor

    public String getStrokeColor()
    Gets the color of a stroke.
    Returns:
      the stroke color

  - ### setStrokeColor

    public void setStrokeColor​(String strokeColor)
    Sets the color of a stroke.
    Parameters:
      `strokeColor` - the new stroke color

  - ### getStrokeStartMarker

    public String getStrokeStartMarker()
    Gets the width of the marker at the start of a stroke.
    Returns:
      the stroke start marker

  - ### setStrokeStartMarker

    public void setStrokeStartMarker​(String strokeStartMarker)
    Sets the width of the marker at the start of a stroke.
    Parameters:
      `strokeStartMarker` - the new stroke start marker

  - ### getStrokeEndMarker

    public String getStrokeEndMarker()
    Gets the width of the marker at the end of a stroke.
    Returns:
      the stroke end marker

  - ### setStrokeEndMarker

    public void setStrokeEndMarker​(String strokeEndMarker)
    Sets the width of the marker at the end of a stroke.
    Parameters:
      `strokeEndMarker` - the new stroke end marker

  - ### getStrokeStartMarkerWidth

    public Size getStrokeStartMarkerWidth()
    Gets the width of the marker at the start of a stroke.
    Returns:
      the stroke start marker width

  - ### setStrokeStartMarkerWidth

    public void setStrokeStartMarkerWidth​(Size strokeStartMarkerWidth)
    Sets the width of the marker at the start of a stroke.
    Parameters:
      `strokeStartMarkerWidth` - the new stroke start marker width

  - ### getStrokeEndMarkerWidth

    public Size getStrokeEndMarkerWidth()
    Gets the width of the marker at the end of a stroke.
    Returns:
      the stroke end marker width

  - ### setStrokeEndMarkerWidth

    public void setStrokeEndMarkerWidth​(Size strokeEndMarkerWidth)
    Sets the width of the marker at the end of a stroke.
    Parameters:
      `strokeEndMarkerWidth` - the new stroke end marker width

  - ### isStrokeStartMarkerCenter

    public boolean isStrokeStartMarkerCenter()
    Specifies whether a start marker is centered at the start of a stroke.
    Returns:
      true, if is stroke start marker center

  - ### setStrokeStartMarkerCenter

    public void setStrokeStartMarkerCenter​(boolean strokeStartMarkerCenter)
    Specifies whether a start marker is centered at the start of a stroke.
    Parameters:
      `strokeStartMarkerCenter` - the new stroke start marker center

  - ### isStrokeEndMarkerCenter

    public boolean isStrokeEndMarkerCenter()
    Specifies whether an end marker is centered at the end of a stroke.
    Returns:
      true, if is stroke end marker center

  - ### setStrokeEndMarkerCenter

    public void setStrokeEndMarkerCenter​(boolean strokeEndMarkerCenter)
    Specifies whether an end marker is centered at the end of a stroke.
    Parameters:
      `strokeEndMarkerCenter` - the new stroke end marker center

  - ### getStrokeOpacity

    public String getStrokeOpacity()
    Gets the opacity of a stroke.
    Returns:
      the stroke opacity

  - ### setStrokeOpacity

    public void setStrokeOpacity​(String strokeOpacity)
    Sets the opacity of a stroke.
    Parameters:
      `strokeOpacity` - the new stroke opacity

  - ### getStrokeLineJoin

    public StrokeLineJoin getStrokeLineJoin()
    Gets the shape at the corners of paths or other vector shapes when they are stroked.
    Returns:
      the stroke line join

  - ### setStrokeLineJoin

    public void setStrokeLineJoin​(StrokeLineJoin strokeLineJoin)
    Sets the shape at the corners of paths or other vector shapes when they are stroked.
    Parameters:
      `strokeLineJoin` - the new stroke line join

  - ### getFillStyle

    public FillStyle getFillStyle()
    Gets the fill style for a graphic object.
    Returns:
      the fill style

  - ### setFillStyle

    public void setFillStyle​(FillStyle fillStyle)
    Sets the fill style for a graphic object.
    Parameters:
      `fillStyle` - the new fill style

  - ### getFillColor

    public String getFillColor()
    Gets the color of the fill for a graphic object.
    Returns:
      the fill color

  - ### setFillColor

    public void setFillColor​(String fillColor)
    Sets the color of the fill for a graphic object.
    Parameters:
      `fillColor` - the new fill color

  - ### getSecondaryFillColor

    public String getSecondaryFillColor()
    Gets the secondary fill color. It may be used as fill color for the extrusion.
    Returns:
      the secondary fill color

  - ### setSecondaryFillColor

    public void setSecondaryFillColor​(String secondaryFillColor)
    Sets the secondary fill color. It may be used as fill color for the extrusion.
    Parameters:
      `secondaryFillColor` - the new secondary fill color

  - ### getFillGradientStyle

    public String getFillGradientStyle()
    Gets the secondary fill color. It may be used as fill color for the extrusion.
    Returns:
      the fill gradient style

  - ### setFillGradientStyle

    public void setFillGradientStyle​(String fillGradientStyle)
    Sets the secondary fill color. It may be used as fill color for the extrusion.
    Parameters:
      `fillGradientStyle` - the new fill gradient style

  - ### getGradientStepCount

    public int getGradientStepCount()
    Gets the gradient step count of a color interpolation to be a fixed value.
    Returns:
      the gradient step count

  - ### setGradientStepCount

    public void setGradientStepCount​(int gradientStepCount)
    Sets the gradient step count of a color interpolation to be a fixed value.
    Parameters:
      `gradientStepCount` - the new gradient step count

  - ### getFillHatchStyle

    public String getFillHatchStyle()
    Gets the gradient style that is used for filling graphic objects.
    Returns:
      the fill hatch style

  - ### setFillHatchStyle

    public void setFillHatchStyle​(String fillHatchStyle)
    Sets the gradient style that is used for filling graphic objects.
    Parameters:
      `fillHatchStyle` - the new fill hatch style

  - ### isSolidFillHatch

    public boolean isSolidFillHatch()
    Specifies whether the background of a hatch filling is solid or transparent.
    Returns:
      true, if is solid fill hatch

  - ### setSolidFillHatch

    public void setSolidFillHatch​(boolean isSolidFillHatch)
    Specifies whether the background of a hatch filling is solid or transparent.
    Parameters:
      `isSolidFillHatch` - the new solid fill hatch

  - ### getFillImage

    public String getFillImage()
    Gets the fill image that is used for filling.
    Returns:
      the fill image

  - ### setFillImage

    public void setFillImage​(String fillImage)
    Sets the fill image that is used for filling.
    Parameters:
      `fillImage` - the new fill image

  - ### getFillImageRenderingStyle

    public FillImageRenderingStyle getFillImageRenderingStyle()
    Specifies if an image can be repeated or stretched over an area.
    Returns:
      the fill image rendering style

  - ### setFillImageRenderingStyle

    public void setFillImageRenderingStyle​(FillImageRenderingStyle fillImageRenderingStyle)
    Specifies if an image can be repeated or stretched over an area.
    Parameters:
      `fillImageRenderingStyle` - the new fill image rendering style

  - ### getFillImageWidth

    public String getFillImageWidth()
    Gets the fill image width.
    Returns:
      the fill image width

  - ### setFillImageWidth

    public void setFillImageWidth​(String fillImageWidth)
    Sets the fill image width.
    Parameters:
      `fillImageWidth` - the new fill image width

  - ### getFillImageHeight

    public String getFillImageHeight()
    Gets the fill image height.
    Returns:
      the fill image height

  - ### setFillImageHeight

    public void setFillImageHeight​(String fillImageHeight)
    Sets the fill image height.
    Parameters:
      `fillImageHeight` - the new fill image height

  - ### getFillImageReferencePositionX

    public String getFillImageReferencePositionX()
    Gets the horizontal movement of an image as a percentage value, where the percentage value is relative to the image width.
    Returns:
      the fill image reference position x

  - ### setFillImageReferencePositionX

    public void setFillImageReferencePositionX​(String fillImageReferencePositionX)
    Sets the horizontal movement of an image as a percentage value, where the percentage value is relative to the image width.
    Parameters:
      `fillImageReferencePositionX` - the new fill image reference position x

  - ### getFillImageReferencePositionY

    public String getFillImageReferencePositionY()
    Gets the horizontal movement of an image as a percentage value, where the percentage value is relative to the image width.
    Returns:
      the fill image reference position y

  - ### setFillImageReferencePositionY

    public void setFillImageReferencePositionY​(String fillImageReferencePositionY)
    Sets the horizontal movement of an image as a percentage value, where the percentage value is relative to the image width.
    Parameters:
      `fillImageReferencePositionY` - the new fill image reference position y

  - ### getFillImageReferencePosition

    public FillImageReferencePosition getFillImageReferencePosition()
    Gets the alignment of an image in the filling area.
    Returns:
      the fill image reference position

  - ### setFillImageReferencePosition

    public void setFillImageReferencePosition​(FillImageReferencePosition fillImageReferencePosition)
    Sets the alignment of an image in the filling area.
    Parameters:
      `fillImageReferencePosition` - the new fill image reference position

  - ### getFillImageTileTranslation

    public String getFillImageTileTranslation()
    Specifies for images used for tiling the translation of each tile in relation to the previous tile.
    Returns:
      the fill image tile translation

  - ### setFillImageTileTranslation

    public void setFillImageTileTranslation​(String fillImageTileTranslation)
    Specifies for images used for tiling the translation of each tile in relation to the previous tile.
    Parameters:
      `fillImageTileTranslation` - the new fill image tile translation

  - ### getFillOpacity

    public String getFillOpacity()
    Gets the opacity for an image or graphic object.
    Returns:
      the fill opacity

  - ### setFillOpacity

    public void setFillOpacity​(String fillOpacity)
    Sets the opacity for an image or graphic object.
    Parameters:
      `fillOpacity` - the new fill opacity

  - ### getFillGradientOpacity

    public String getFillGradientOpacity()
    Gets the opacity gradient that defines the opacity for the fill area of a graphic object.
    Returns:
      the fill gradient opacity

  - ### setFillGradientOpacity

    public void setFillGradientOpacity​(String fillGradientOpacity)
    Sets the opacity gradient that defines the opacity for the fill area of a graphic object.
    Parameters:
      `fillGradientOpacity` - the new fill gradient opacity

  - ### getFillRule

    public FillRule getFillRule()
    Gets the fill rule.
    Returns:
      the fill rule

  - ### setFillRule

    public void setFillRule​(FillRule fillRule)
    Sets the fill rule.
    Parameters:
      `fillRule` - the new fill rule

  - ### getSymbolColor

    public String getSymbolColor()
    Gets the color to be used to draw symbols contained on the drawing object.
    Returns:
      the symbol color

  - ### setSymbolColor

    public void setSymbolColor​(String symbolColor)
    Sets the color to be used to draw symbols contained on the drawing object.
    Parameters:
      `symbolColor` - the new symbol color

  - ### getAnimationType

    public AnimationType getAnimationType()
    Gets the type of animation that is used for a text.
    Returns:
      the animation type

  - ### setAnimationType

    public void setAnimationType​(AnimationType animationType)
    Sets the type of animation that is used for a text.
    Parameters:
      `animationType` - the new animation type

  - ### getAnimationDirection

    public AnimationDirection getAnimationDirection()
    Gets the scroll direction of animated text.
    Returns:
      the animation direction

  - ### setAnimationDirection

    public void setAnimationDirection​(AnimationDirection animationDirection)
    Sets the scroll direction of animated text.
    Parameters:
      `animationDirection` - the new animation direction

  - ### isStartAnimationInside

    public boolean isStartAnimationInside()
    Specifies if a text animation starts inside or outside a shape.
    Returns:
      true, if is start animation inside

  - ### setStartAnimationInside

    public void setStartAnimationInside​(boolean startAnimationInside)
    Specifies if a text animation starts inside or outside a shape.
    Parameters:
      `startAnimationInside` - the new start animation inside

  - ### isStopAnimationInside

    public boolean isStopAnimationInside()
    Specifies if a text animation stops inside or outside a shape.
    Returns:
      true, if is stop animation inside

  - ### setStopAnimationInside

    public void setStopAnimationInside​(boolean stopAnimationInside)
    Specifies if a text animation stops inside or outside a shape.
    Parameters:
      `stopAnimationInside` - the new stop animation inside

  - ### getAnimationRepeat

    public int getAnimationRepeat()
    Gets the number of times an animation is repeated. If the value of the attribute is 0, the animation is repeated indefinitely.
    Returns:
      the animation repeat

  - ### setAnimationRepeat

    public void setAnimationRepeat​(int animationRepeat)
    Sets the number of times an animation is repeated. If the value of the attribute is 0, the animation is repeated indefinitely.
    Parameters:
      `animationRepeat` - the new animation repeat

  - ### getAnimationDelay

    public String getAnimationDelay()
    Gets the delay before an animation is started.
    Returns:
      the animation delay

  - ### setAnimationDelay

    public void setAnimationDelay​(String animationDelay)
    Sets the delay before an animation is started.
    Parameters:
      `animationDelay` - the new animation delay

  - ### getAnimationSteps

    public String getAnimationSteps()
    Gets the distance by which text is moved within a scrolling step.
    Returns:
      the animation steps

  - ### setAnimationSteps

    public void setAnimationSteps​(String animationSteps)
    Sets the distance by which text is moved within a scrolling step.
    Parameters:
      `animationSteps` - the new animation steps

  - ### isAutoGrowWidth

    public boolean isAutoGrowWidth()
    Specifies whether to automatically increase the width of the drawing object if text is added to the drawing object.
    Returns:
      true, if is auto grow width

  - ### setAutoGrowWidth

    public void setAutoGrowWidth​(boolean autoGrowWidth)
    Specifies whether to automatically increase the width of the drawing object if text is added to the drawing object.
    Parameters:
      `autoGrowWidth` - the new auto grow width

  - ### isAutoGrowHeight

    public boolean isAutoGrowHeight()
    Specifies whether to automatically increase the height of the drawing object if text is added to the drawing object.
    Returns:
      true, if is auto grow height

  - ### setAutoGrowHeight

    public void setAutoGrowHeight​(boolean autoGrowHeight)
    Specifies whether to automatically increase the height of the drawing object if text is added to the drawing object.
    Parameters:
      `autoGrowHeight` - the new auto grow height

  - ### isFitToSize

    public boolean isFitToSize()
    Specifies whether to stretch the text content of a drawing object to fill an entire object.
    Returns:
      true, if is fit to size

  - ### setFitToSize

    public void setFitToSize​(boolean fitToSize)
    Specifies whether to stretch the text content of a drawing object to fill an entire object.
    Parameters:
      `fitToSize` - the new fit to size

  - ### isFitToContour

    public boolean isFitToContour()
    Specifies whether to stretch the text content of a drawing object to fill the contour of an object.
    Returns:
      true, if is fit to contour

  - ### setFitToContour

    public void setFitToContour​(boolean fitToContour)
    Specifies whether to stretch the text content of a drawing object to fill the contour of an object.
    Parameters:
      `fitToContour` - the new fit to contour

  - ### getTextAreaHorizontalAlignment

    public TextAreaHorizontalAlignment getTextAreaHorizontalAlignment()
    Gets the horizontal alignment of the text area inside a shape.
    Returns:
      the text area horizontal alignment

  - ### setTextAreaHorizontalAlignment

    public void setTextAreaHorizontalAlignment​(TextAreaHorizontalAlignment textAreaHorizontalAlignment)
    Sets the horizontal alignment of the text area inside a shape.
    Parameters:
      `textAreaHorizontalAlignment` - the new text area horizontal alignment

  - ### getTextAreaVerticalAlignment

    public TextAreaVerticalAlignment getTextAreaVerticalAlignment()
    Gets the vertical alignment of the text area inside a shape.
    Returns:
      the text area vertical alignment

  - ### setTextAreaVerticalAlignment

    public void setTextAreaVerticalAlignment​(TextAreaVerticalAlignment textAreaVerticalAlignment)
    Sets the vertical alignment of the text area inside a shape.
    Parameters:
      `textAreaVerticalAlignment` - the new text area vertical alignment

  - ### getWordWrapType

    public WordWrapType getWordWrapType()
    Specifies whether the clipped text is visible or hidden.
    Returns:
      the word wrap type

  - ### setWordWrapType

    public void setWordWrapType​(WordWrapType wordWrapType)
    Specifies whether the clipped text is visible or hidden.
    Parameters:
      `wordWrapType` - the new word wrap type

  - ### getColorMode

    public ColorMode getColorMode()
    Gets the output of colors from a source bitmap or raster graphic.
    Returns:
      the color mode

  - ### setColorMode

    public void setColorMode​(ColorMode colorMode)
    Sets the output of colors from a source bitmap or raster graphic.
    Parameters:
      `colorMode` - the new color mode

  - ### isEnableColorInversion

    public boolean isEnableColorInversion()
    Specifies whether the colors in the graphic shape should be inverted.
    Returns:
      true, if is enable color inversion

  - ### setEnableColorInversion

    public void setEnableColorInversion​(boolean enableColorInversion)
    Specifies whether the colors in the graphic shape should be inverted.
    Parameters:
      `enableColorInversion` - the new enable color inversion

  - ### getAdjustLuminance

    public int getAdjustLuminance()
    Gets the signed percentage value that sets the output luminance of a bitmap or raster graphic.
    Returns:
      the adjust luminance

  - ### setAdjustLuminance

    public void setAdjustLuminance​(int adjustLuminance)
    Sets the signed percentage value that sets the output luminance of a bitmap or raster graphic.
    Parameters:
      `adjustLuminance` - the new adjust luminance

  - ### getAdjustContrast

    public int getAdjustContrast()
    Gets the signed percentage value that sets the output contrast of a bitmap or raster graphic.
    Returns:
      the adjust contrast

  - ### setAdjustContrast

    public void setAdjustContrast​(int adjustContrast)
    Sets the signed percentage value that sets the output contrast of a bitmap or raster graphic.
    Parameters:
      `adjustContrast` - the new adjust contrast

  - ### getAdjustGamma

    public int getAdjustGamma()
    Gets the value that sets the output gamma of a bitmap or raster graphic.
    Returns:
      the adjust gamma

  - ### setAdjustGamma

    public void setAdjustGamma​(int adjustGamma)
    Sets the value that sets the output gamma of a bitmap or raster graphic.
    Parameters:
      `adjustGamma` - the new adjust gamma

  - ### getAdjustRed

    public int getAdjustRed()
    Gets the non destructive filter for a linear transformation of the white balance of a pixel image.
    Returns:
      the adjust red

  - ### setAdjustRed

    public void setAdjustRed​(int adjustRed)
    Sets the non destructive filter for a linear transformation of the white balance of a pixel image.
    Parameters:
      `adjustRed` - the new adjust red

  - ### getAdjustGreen

    public int getAdjustGreen()
    Gets the non destructive filter for a linear transformation of the white balance of a pixel image.
    Returns:
      the adjust green

  - ### setAdjustGreen

    public void setAdjustGreen​(int adjustGreen)
    Sets the non destructive filter for a linear transformation of the white balance of a pixel image.
    Parameters:
      `adjustGreen` - the new adjust green

  - ### getAdjustBlue

    public int getAdjustBlue()
    Gets the non destructive filter for a linear transformation of the white balance of a pixel image.
    Returns:
      the adjust blue

  - ### setAdjustBlue

    public void setAdjustBlue​(int adjustBlue)
    Sets the non destructive filter for a linear transformation of the white balance of a pixel image.
    Parameters:
      `adjustBlue` - the new adjust blue

  - ### getAdjustImageOpacity

    public int getAdjustImageOpacity()
    Gets the opacity of an image.
    Returns:
      the adjust image opacity

  - ### setAdjustImageOpacity

    public void setAdjustImageOpacity​(int adjustImageOpacity)
    Sets the opacity of an image.
    Parameters:
      `adjustImageOpacity` - the new adjust image opacity

  - ### getShadowVisibility

    public ShadowVisibility getShadowVisibility()
    Specifies if enables or disables a three-dimensional shadow for a three-dimensional object.
    Returns:
      the shadow visibility

  - ### setShadowVisibility

    public void setShadowVisibility​(ShadowVisibility shadowVisibility)
    Specifies if enables or disables a three-dimensional shadow for a three-dimensional object.
    Parameters:
      `shadowVisibility` - the new shadow visibility

  - ### getShadowOffsetX

    public String getShadowOffsetX()
    Used to render a shadow.
    Returns:
      the shadow offset x

  - ### setShadowOffsetX

    public void setShadowOffsetX​(String shadowOffsetX)
    Used to render a shadow.
    Parameters:
      `shadowOffsetX` - the new shadow offset x

  - ### getShadowOffsetY

    public String getShadowOffsetY()
    Used to render a shadow.
    Returns:
      the shadow offset y

  - ### setShadowOffsetY

    public void setShadowOffsetY​(String shadowOffsetY)
    Used to render a shadow.
    Parameters:
      `shadowOffsetY` - the new shadow offset y

  - ### getShadowColor

    public String getShadowColor()
    Gets the color in which a shadow is rendered.
    Returns:
      the shadow color

  - ### setShadowColor

    public void setShadowColor​(String shadowColor)
    Sets the color in which a shadow is rendered.
    Parameters:
      `shadowColor` - the new shadow color

  - ### getShadowOpacity

    public int getShadowOpacity()
    Gets the opacity in which the shadow is rendered. The value of this attribute is a percentage value.
    Returns:
      the shadow opacity

  - ### setShadowOpacity

    public void setShadowOpacity​(int shadowOpacity)
    Sets the opacity in which the shadow is rendered. The value of this attribute is a percentage value.
    Parameters:
      `shadowOpacity` - the new shadow opacity

  - ### getStartLineSpacingHorizontal

    public String getStartLineSpacingHorizontal()
    Gets the length of the escape line from the start shape for standard connectors.
    Returns:
      the start line spacing horizontal

  - ### setStartLineSpacingHorizontal

    public void setStartLineSpacingHorizontal​(String startLineSpacingHorizontal)
    Sets the length of the escape line from the start shape for standard connectors.
    Parameters:
      `startLineSpacingHorizontal` - the new start line spacing horizontal

  - ### getStartLineSpacingVertical

    public String getStartLineSpacingVertical()
    Gets the length of the escape line from the start shape for standard connectors.
    Returns:
      the start line spacing vertical

  - ### setStartLineSpacingVertical

    public void setStartLineSpacingVertical​(String startLineSpacingVertical)
    Sets the length of the escape line from the start shape for standard connectors.
    Parameters:
      `startLineSpacingVertical` - the new start line spacing vertical

  - ### getEndLineSpacingHorizontal

    public String getEndLineSpacingHorizontal()
    Specifies an increments the length of the escape line from the end shape.
    Returns:
      the end line spacing horizontal

  - ### setEndLineSpacingHorizontal

    public void setEndLineSpacingHorizontal​(String endLineSpacingHorizontal)
    Specifies an increments the length of the escape line from the end shape.
    Parameters:
      `endLineSpacingHorizontal` - the new end line spacing horizontal

  - ### getEndLineSpacingVertical

    public String getEndLineSpacingVertical()
    Specifies an increments the length of the escape line from the end shape.
    Returns:
      the end line spacing vertical

  - ### setEndLineSpacingVertical

    public void setEndLineSpacingVertical​(String endLineSpacingVertical)
    Specifies an increments the length of the escape line from the end shape.
    Parameters:
      `endLineSpacingVertical` - the new end line spacing vertical

  - ### getLineDistance

    public String getLineDistance()
    Gets the distance between a reference line (as defined by the reference points) and a dimension line.
    Returns:
      the line distance

  - ### setLineDistance

    public void setLineDistance​(String lineDistance)
    Sets the distance between a reference line (as defined by the reference points) and a dimension line.
    Parameters:
      `lineDistance` - the new line distance

  - ### getGuideOverhang

    public String getGuideOverhang()
    Gets the length of extension lines after their intersection with a dimension line.
    Returns:
      the guide overhang

  - ### setGuideOverhang

    public void setGuideOverhang​(String guideOverhang)
    Sets the length of extension lines after their intersection with a dimension line.
    Parameters:
      `guideOverhang` - the new guide overhang

  - ### getGuideDistance

    public String getGuideDistance()
    Gets the distance between the reference points and the start point of extension lines.
    Returns:
      the guide distance

  - ### setGuideDistance

    public void setGuideDistance​(String guideDistance)
    Sets the distance between the reference points and the start point of extension lines.
    Parameters:
      `guideDistance` - the new guide distance

  - ### getStartGuide

    public String getStartGuide()
    Gets the length that is added to the length of a start extension line.
    Returns:
      the start guide

  - ### setStartGuide

    public void setStartGuide​(String startGuide)
    Sets the length that is added to the length of a start extension line.
    Parameters:
      `startGuide` - the new start guide

  - ### getEndGuide

    public String getEndGuide()
    Gets the length that is added to the length of the end extension line.
    Returns:
      the end guide

  - ### setEndGuide

    public void setEndGuide​(String endGuide)
    Sets the length that is added to the length of the end extension line.
    Parameters:
      `endGuide` - the new end guide

  - ### getPlacing

    public Placing getPlacing()
    Specifies whether the measure line is rendered below or above the edge defined by the two reference points.
    Returns:
      the placing

  - ### setPlacing

    public void setPlacing​(Placing placing)
    Specifies whether the measure line is rendered below or above the edge defined by the two reference points.
    Parameters:
      `placing` - the new placing

  - ### isParallel

    public boolean isParallel()
    Specifies whether a measure text is displayed parallel to its measure line or perpendicular to it.
    Returns:
      true, if is parallel

  - ### setParallel

    public void setParallel​(boolean isParallel)
    Specifies whether a measure text is displayed parallel to its measure line or perpendicular to it.
    Parameters:
      `isParallel` - the new parallel

  - ### getMeasureHorizontalAlignment

    public MeasureHorizontalAlignment getMeasureHorizontalAlignment()
    Gets the horizontal alignment of a measure text relative to its measure line.
    Returns:
      the measure horizontal alignment

  - ### setMeasureHorizontalAlignment

    public void setMeasureHorizontalAlignment​(MeasureHorizontalAlignment measureHorizontalAlignment)
    Sets the horizontal alignment of a measure text relative to its measure line.
    Parameters:
      `measureHorizontalAlignment` - the new measure horizontal alignment

  - ### getMeasureVerticalAlignment

    public MeasureVerticalAlignment getMeasureVerticalAlignment()
    Gets the vertical alignment of a measure text relative to its measure line.
    Returns:
      the measure vertical alignment

  - ### setMeasureVerticalAlignment

    public void setMeasureVerticalAlignment​(MeasureVerticalAlignment measureVerticalAlignment)
    Sets the vertical alignment of a measure text relative to its measure line.
    Parameters:
      `measureVerticalAlignment` - the new measure vertical alignment

  - ### getMeasureUnit

    public MeasureUnit getMeasureUnit()
    Gets the unit of measurement used in the textual presentation of a measure shape.
    Returns:
      the measure unit

  - ### setMeasureUnit

    public void setMeasureUnit​(MeasureUnit measureUnit)
    Sets the unit of measurement used in the textual presentation of a measure shape.
    Parameters:
      `measureUnit` - the new measure unit

  - ### isShowMeasureUnit

    public boolean isShowMeasureUnit()
    Gets the visibility of a unit in the textual presentation of a measure shape.
    Returns:
      true, if is show measure unit

  - ### setShowMeasureUnit

    public void setShowMeasureUnit​(boolean showMeasureUnit)
    Sets the visibility of a unit in the textual presentation of a measure shape.
    Parameters:
      `showMeasureUnit` - the new show measure unit

  - ### getDecimalPlaces

    public int getDecimalPlaces()
    Gets the number of decimal places that are used for the measure text.
    Returns:
      the decimal places

  - ### setDecimalPlaces

    public void setDecimalPlaces​(int decimalPlaces)
    Sets the number of decimal places that are used for the measure text.
    Parameters:
      `decimalPlaces` - the new decimal places

  - ### getCaptionType

    public CaptionType getCaptionType()
    Gets the geometry of the line of a caption.
    Returns:
      the caption type

  - ### setCaptionType

    public void setCaptionType​(CaptionType captionType)
    Sets the geometry of the line of a caption.
    Parameters:
      `captionType` - the new caption type

  - ### getCaptionAngleType

    public CaptionAngleType getCaptionAngleType()
    Specifies if the escape angle of the line of a caption is fixed or free.
    Returns:
      the caption angle type

  - ### setCaptionAngleType

    public void setCaptionAngleType​(CaptionAngleType captionAngleType)
    Specifies if the escape angle of the line of a caption is fixed or free.
    Parameters:
      `captionAngleType` - the new caption angle type

  - ### getCaptionAngle

    public int getCaptionAngle()
    Gets the escape angle of the line of a caption.
    Returns:
      the caption angle

  - ### setCaptionAngle

    public void setCaptionAngle​(int captionAngle)
    Sets the escape angle of the line of a caption.
    Parameters:
      `captionAngle` - the new caption angle

  - ### getCaptionGap

    public String getCaptionGap()
    Gets the distance between the text area of the caption and the start of the line.
    Returns:
      the caption gap

  - ### setCaptionGap

    public void setCaptionGap​(String captionGap)
    Sets the distance between the text area of the caption and the start of the line.
    Parameters:
      `captionGap` - the new caption gap

  - ### getCaptionEscapeDirection

    public CaptionEscapeDirection getCaptionEscapeDirection()
    Gets the escape direction for the line of a caption. If this is set to auto the consumer can choose the best direction.
    Returns:
      the caption escape direction

  - ### setCaptionEscapeDirection

    public void setCaptionEscapeDirection​(CaptionEscapeDirection captionEscapeDirection)
    Sets the escape direction for the line of a caption. If this is set to auto the consumer can choose the best direction.
    Parameters:
      `captionEscapeDirection` - the new caption escape direction

  - ### getCaptionEscape

    public String getCaptionEscape()
    Gets the escape point of the caption line measured from the top left corner of the text area.
    Returns:
      the caption escape

  - ### setCaptionEscape

    public void setCaptionEscape​(String captionEscape)
    Sets the escape point of the caption line measured from the top left corner of the text area.
    Parameters:
      `captionEscape` - the new caption escape

  - ### getCaptionLineLength

    public String getCaptionLineLength()
    Gets the length of the first line of a caption.
    Returns:
      the caption line length

  - ### setCaptionLineLength

    public void setCaptionLineLength​(String captionLineLength)
    Sets the length of the first line of a caption.
    Parameters:
      `captionLineLength` - the new caption line length

  - ### isCaptionFitLineLength

    public boolean isCaptionFitLineLength()
    Gets the consumer to determine the best possible length for a caption line.
    Returns:
      true, if is caption fit line length

  - ### setCaptionFitLineLength

    public void setCaptionFitLineLength​(boolean captionFitLineLength)
    Sets the consumer to determine the best possible length for a caption line.
    Parameters:
      `captionFitLineLength` - the new caption fit line length

  - ### getRunThrough

    public RunThrough getRunThrough()
    Specifies whether content of a frame is displayed in the background or foreground.
    Returns:
      the run through

  - ### setRunThrough

    public void setRunThrough​(RunThrough runThrough)
    Specifies whether content of a frame is displayed in the background or foreground.
    Parameters:
      `runThrough` - the new run through

  - ### getWrappedParagraphCount

    public String getWrappedParagraphCount()
    Gets the number of paragraphs that can wrap around a frame if the anchor position of a frame or drawing shape is a paragraph or a character, and the wrap mode specified by the wrap is left, right, parallel, or dynamic.
    Returns:
      the wrapped paragraph count

  - ### setWrappedParagraphCount

    public void setWrappedParagraphCount​(String wrappedParagraphCount)
    Sets the number of paragraphs that can wrap around a frame if the anchor position of a frame or drawing shape is a paragraph or a character, and the wrap mode specified by the wrap is left, right, parallel, or dynamic.
    Parameters:
      `wrappedParagraphCount` - the new wrapped paragraph count

  - ### getMirror

    public String getMirror()
    Specifies whether an image is mirrored before it is displayed. The mirroring can be vertical or horizontal or both.
    Returns:
      the mirror

  - ### setMirror

    public void setMirror​(String mirror)
    Specifies whether an image is mirrored before it is displayed. The mirroring can be vertical or horizontal or both.
    Parameters:
      `mirror` - the new mirror

  - ### getClipping

    public String getClipping()
    Gets the clipping.
    Returns:
      the clipping

  - ### setClipping

    public void setClipping​(String clipping)
    Sets the clipping.
    Parameters:
      `clipping` - the new clipping

  - ### getProtect

    public ProtectType getProtect()
    Specifies whether the content, size, or position of a frame is protected. The value of this attribute can be either none or a white space separated list that consists of any of the values content, position, or size.
    Returns:
      the protect

  - ### setProtect

    public void setProtect​(ProtectType protect)
    Specifies whether the content, size, or position of a frame is protected. The value of this attribute can be either none or a white space separated list that consists of any of the values content, position, or size.
    Parameters:
      `protect` - the new protect

  - ### getWrapInfluenceOnPosition

    public WrapInfluence getWrapInfluenceOnPosition()
    Specifies how the wrapping mode influences the positioning of a frame.
    Returns:
      the wrap influence on position

  - ### setWrapInfluenceOnPosition

    public void setWrapInfluenceOnPosition​(WrapInfluence wrapInfluenceOnPosition)
    Specifies how the wrapping mode influences the positioning of a frame.
    Parameters:
      `wrapInfluenceOnPosition` - the new wrap influence on position

  - ### getBackgroundTransparency

    public int getBackgroundTransparency()
    Gets the transparency of a paragraph's background color.
    Returns:
      the background transparency

  - ### setBackgroundTransparency

    public void setBackgroundTransparency​(int backgroundTransparency)
    Sets the transparency of a paragraph's background color.
    Parameters:
      `backgroundTransparency` - the new background transparency

  - ### getWritingMode

    public WritingMode getWritingMode()
    Gets the writing mode.
    Returns:
      the writing mode

  - ### setWritingMode

    public void setWritingMode​(WritingMode writingMode)
    Sets the writing mode.
    Parameters:
      `writingMode` - the new writing mode

  - ### getOldDrawAspect

    public int getOldDrawAspect()
    Gets the display of embedded objects.
    Returns:
      the old draw aspect

  - ### setOldDrawAspect

    public void setOldDrawAspect​(int oldDrawAspect)
    Sets the display of embedded objects.
    Parameters:
      `oldDrawAspect` - the new old draw aspect

  - ### getVisibleAreaLeft

    public Size getVisibleAreaLeft()
    Specifies whether these attributes are used to specify the visible area, or whether the producer of the object stores the visible area within the object itself.
    Returns:
      the visible area left

  - ### setVisibleAreaLeft

    public void setVisibleAreaLeft​(Size visibleAreaLeft)
    Specifies whether these attributes are used to specify the visible area, or whether the producer of the object stores the visible area within the object itself.
    Parameters:
      `visibleAreaLeft` - the new visible area left

  - ### getVisibleAreaTop

    public Size getVisibleAreaTop()
    Specifies whether these attributes are used to specify the visible area, or whether the producer of the object stores the visible area within the object itself.
    Returns:
      the visible area top

  - ### setVisibleAreaTop

    public void setVisibleAreaTop​(Size visibleAreaTop)
    Specifies whether these attributes are used to specify the visible area, or whether the producer of the object stores the visible area within the object itself.
    Parameters:
      `visibleAreaTop` - the new visible area top

  - ### getVisibleAreaWidth

    public Size getVisibleAreaWidth()
    Specifies whether these attributes are used to specify the visible area, or whether the producer of the object stores the visible area within the object itself.
    Returns:
      the visible area width

  - ### setVisibleAreaWidth

    public void setVisibleAreaWidth​(Size visibleAreaWidth)
    Specifies whether these attributes are used to specify the visible area, or whether the producer of the object stores the visible area within the object itself.
    Parameters:
      `visibleAreaWidth` - the new visible area width

  - ### getVisibleAreaHeight

    public Size getVisibleAreaHeight()
    Specifies whether these attributes are used to specify the visible area, or whether the producer of the object stores the visible area within the object itself.
    Returns:
      the visible area height

  - ### setVisibleAreaHeight

    public void setVisibleAreaHeight​(Size visibleAreaHeight)
    Specifies whether these attributes are used to specify the visible area, or whether the producer of the object stores the visible area within the object itself.
    Parameters:
      `visibleAreaHeight` - the new visible area height

  - ### getBackgroundImage

    public BackgroundImage getBackgroundImage()
    Gets the background image.
    Returns:
      the background image

  - ### setBackgroundImage

    public void setBackgroundImage​(BackgroundImage backgroundImage)
    Sets the background image.
    Parameters:
      `backgroundImage` - the new background image